// Copyright (C) 2024 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

part of 'build_ipa_task.dart';

class BuildIpaStateGetIosConfig extends TaskStateRunning {
  @override
  String get description => 'Get iOS config';
}

class BuildIpaStateDecryptIosKey extends TaskStateRunning {
  @override
  String get description => 'Decrypt ios keys';
}

class BuildIpaStateRetrieveIosKey extends TaskStateRunning {
  @override
  String get description => 'Retrieve ios keys';
}

class BuildIpaStateCreateKeychain extends TaskStateRunning {
  @override
  String get description => 'Create new keychain';
}

class BuildIpaStateRetrieveCertificates extends TaskStateRunning {
  @override
  String get description => 'Retrieve match certificates';
}

class BuildIpaStateBuildIpa extends TaskStateRunning {
  @override
  String get description => 'Build ipa';
}
